[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Please hint emboss-explorer.



Dear release team,

EMBOSS explorer is a web fronted to a command line bioinformatics suite. The
package depends on apache2 and drops a configuration file in
/etc/apache2/conf.d, but I did not dare restarting apache in postinst. Only
after the freeze I learnt about the "reload" option of apache's init.d script.
I already had a comment of an user who did not understand why it does not work
out of the box (apache has to be restarted/reloaded by hand).

Here is the debdiff from the Sid package that reloads apache in postinst. I
also added a menu and a desktop entry (note that `sensible-browser' comes from
an Essential package) and some QA stuff.

I would be very grateful if you hinted this non-RC issue. I think that
otherwise I will get user complains.

The postinst script is dh-make's except for:

        if [ -x /etc/init.d/apache2 ]
        then
            if which /usr/sbin/invoke-rc.d >/dev/null 2>&1
            then
                invoke-rc.d apache2 reload || true
            else
                /etc/init.d/apache2 reload || true
            fi
        fi


diff -u emboss-explorer-2.2.0/debian/emboss-explorer.install emboss-explorer-2.2.0/debian/emboss-explorer.install
--- emboss-explorer-2.2.0/debian/emboss-explorer.install
+++ emboss-explorer-2.2.0/debian/emboss-explorer.install
@@ -6,0 +7 @@
+debian/emboss-explorer.desktop	usr/share/applications
diff -u emboss-explorer-2.2.0/debian/rules emboss-explorer-2.2.0/debian/rules
--- emboss-explorer-2.2.0/debian/rules
+++ emboss-explorer-2.2.0/debian/rules
@@ -62,6 +62,8 @@
 	dh_install
 	dh_installdocs README debian/README.Debian
 	dh_installchangelogs debian/changelog
+	dh_installmenu
+	dh_desktop
 	dh_installcron
 	dh_installexamples
 	dh_link
diff -u emboss-explorer-2.2.0/debian/control emboss-explorer-2.2.0/debian/control
--- emboss-explorer-2.2.0/debian/control
+++ emboss-explorer-2.2.0/debian/control
@@ -4,9 +4,9 @@
 Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: David Paleino <d.paleino@gmail.com>, Charles Plessy <plessy@debian.org>
-Build-Depends: debhelper (>= 5), dpatch
+Build-Depends: debhelper (>= 7), dpatch
 Build-Depends-Indep: libparse-recdescent-perl, libmailtools-perl
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/emboss-explorer/trunk/?rev=0&sc=0trunk
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/emboss-explorer/trunk/
 Homepage: http://embossgui.sourceforge.net/
diff -u emboss-explorer-2.2.0/debian/compat emboss-explorer-2.2.0/debian/compat
--- emboss-explorer-2.2.0/debian/compat
+++ emboss-explorer-2.2.0/debian/compat
@@ -1 +1 @@
-5
+7
diff -u emboss-explorer-2.2.0/debian/changelog emboss-explorer-2.2.0/debian/changelog
--- emboss-explorer-2.2.0/debian/changelog
+++ emboss-explorer-2.2.0/debian/changelog
@@ -1,3 +1,15 @@
+emboss-explorer (2.2.0-7) unstable; urgency=low
+
+  * debian/emboss-explorer.postinst: reloads apache.
+  * debian/menu, debian/emboss-explorer.desktop,
+    debian/rules, debian/emboss-explorer.install: adding menu entries starting
+    a browser on http://localhost/emboss-explorer.
+  * debian/README.source, debian/control: added instructions for patching
+    and updated Standards-Version.
+  * debian/compat, debian/control: using Debhelper 7.
+
+ -- Charles Plessy <plessy@debian.org>  Sun, 07 Dec 2008 20:21:35 +0900
+
 emboss-explorer (2.2.0-6) unstable; urgency=low
 
   [ Charles Plessy ]
only in patch2:
unchanged:
--- emboss-explorer-2.2.0.orig/debian/emboss-explorer.desktop
+++ emboss-explorer-2.2.0/debian/emboss-explorer.desktop
@@ -0,0 +1,17 @@
+# This file was orignially written for Debian, and can be copied, used,
+# modified and redistributed under the same licence as EMBOSS Explorer itself.
+
+[Desktop Entry]
+Version=1.0
+Terminal=false
+Icon=emboss-explorer
+Exec=sensible-browser http://localhost/emboss-explorer
+Name=EMBOSS Explorer
+GenericName=EMBOSS frontend
+GenericName[en]=EMBOSS frontend
+GenericName[fr]=Interface graphique pour EMBOSS
+Comment=Starts the default web browser on the local EMBOSS Explorer website.
+Comment[en]=Starts the default web browser on the local EMBOSS Explorer website.
+Comment[fr]=Lance le navigateur par défaut sur le site local EMBOSS Explorer.
+Type=Application
+Categories=Biology;Science;Education;
only in patch2:
unchanged:
--- emboss-explorer-2.2.0.orig/debian/emboss-explorer.postinst
+++ emboss-explorer-2.2.0/debian/emboss-explorer.postinst
@@ -0,0 +1,50 @@
+#!/bin/sh
+# postinst script for emboss-explorer
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        if [ -x /etc/init.d/apache2 ]
+        then
+            if which /usr/sbin/invoke-rc.d >/dev/null 2>&1
+            then
+                invoke-rc.d apache2 reload || true
+            else
+                /etc/init.d/apache2 reload || true
+            fi
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
only in patch2:
unchanged:
--- emboss-explorer-2.2.0.orig/debian/menu
+++ emboss-explorer-2.2.0/debian/menu
@@ -0,0 +1,2 @@
+?package(emboss-explorer):needs="X11" section="Applications/Science/Biology"\
+  title="EMBOSS Explorer" command="/usr/bin/sensible-browser http://localhost/emboss-explorer";
only in patch2:
unchanged:
--- emboss-explorer-2.2.0.orig/debian/README.source
+++ emboss-explorer-2.2.0/debian/README.source
@@ -0,0 +1,5 @@
+This package uses dpatch to manage all modifications to the upstream
+source. Changes are stored in the source package as diffs in
+debian/patches and applied during the build.
+
+Please refer to /usr/share/doc/dpatch/README.source.gz for more instructions.


Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan


Reply to: